
CoCoA-5 - Bug #981

SqFreeFactor: small (or big) bug?

25 Nov 2016 16:22 - Anna Maria Bigatti

Status: Closed Start date: 25 Nov 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Incomplete function Estimated time: 0.75 hour

Target version: CoCoA-5.2.2 Spent time: 0.55 hour

Description

This example gives error (others seem to work fine)

Fp ::= ZZ/(32003);

Use Fpt ::= Fp[t];

factor(t^3+t-5); --> irreducible

K := Fpt/ideal(t^3+t-5); K;

Use K[x];

F := x^2 +(t^2)*x +(-1);

SqFreeFactor(F);

--> ERROR: Unable to convert value

--> SqFreeFactor(F);

--> ^^^^^^^^^^^^^^^

History

#1 - 25 Nov 2016 16:46 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

- Estimated time set to 0.33 h

I have modified SparsePolyRingBase::myGCD to handle specially only if coeffs are IsRingFp; previously it just tested for small positive characteristic

(without checking that it is a prime field).

Checked in; should be OK now.

#2 - 25 Nov 2016 16:59 - John Abbott

- Estimated time changed from 0.33 h to 0.75 h

Added Anna's example to CoCoA-5 tests/exbugs.cocoa5.  Checked in.

#3 - 25 Nov 2016 17:28 - Anna Maria Bigatti

Works on other examples (used in factorization over algebraic extensions).

Thanks! great!

#4 - 13 Nov 2017 15:57 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100
